%define rel	2

Summary:	An OO graph drawing class library for PHP
Name:		php-jpgraph
Version:	4.2.6
Release:	%mkrel %{rel}
License:	QPL
Group:		Networking/Other
URL:		http://jpgraph.net/
# no direct download link available on website
# md5 checksum: 7237ef5dc19ad8bb67197a19782e950c
#http://jpgraph.net/download/download.php?p=13
Source0:	jpgraph-%{version}.tar.gz
Patch0:		jpgraph-3.0.6-CVE-2009-4422.diff
Requires:	gd
Requires:	php-gd
Requires:	fonts-ttf-bitstream-vera
BuildRequires:	mercurial
BuildArch:	noarch
Obsoletes:	php5-jpgraph

# Needed by owncloud6
Provides:   pear(jpgraph_radar.php)
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^pear\\(jpgraph

%description
JpGraph is a OO Graph drawing library for PHP.
Highlights of the available features are: text, linear, and log
scales for both the X and Y axes, anti-aliasing of lines,
color-gradient fills, support for GIF, JPG, and PNG formats,
support for two Y axes, spider plots (a.k.a Web plots),
pie-charts, lineplots, filled line plots, impulse plots, bar
plots, and error plots, support for multiple plot types in one
graph, intelligent autoscaling.

Extensive documentations are available at:
http://jpgraph.net/doc/

%package	doc
Summary:	Documentation for JpGraph
Group:		Networking/Other

%description	doc
JpGraph is a OO Graph drawing library for PHP.
Highlights of the available features are: text, linear, and log
scales for both the X and Y axes, anti-aliasing of lines,
color-gradient fills, support for GIF, JPG, and PNG formats,
support for two Y axes, spider plots (a.k.a Web plots),
pie-charts, lineplots, filled line plots, impulse plots, bar
plots, and error plots, support for multiple plot types in one
graph, intelligent autoscaling.

This package contains the documentation for %{name}.

%prep
%autosetup -S hg -n jpgraph-%{version}

%install
install -d %{buildroot}%{_datadir}/php/jpgraph
cp -aRf src/* %{buildroot}%{_datadir}/php/jpgraph/

install -d -m 755 %{buildroot}%{_docdir}/%{name}
cp -r docs %{buildroot}%{_docdir}/%{name}
cp -r src/Examples %{buildroot}%{_docdir}/%{name}
install -m 644 VERSION %{buildroot}%{_docdir}/%{name}

%files
%{_docdir}/%{name}
%{_datadir}/php/jpgraph
%exclude %{_docdir}/%{name}/Examples
%exclude %{_docdir}/%{name}/docs

%files doc
%{_docdir}/%{name}/Examples
%{_docdir}/%{name}/docs




%changelog
* Fri Feb 14 2020 umeabot <umeabot> 4.2.6-2.mga8
+ Revision: 1521756
- Mageia 8 Mass Rebuild

* Mon Dec 31 2018 mokraemer <mokraemer> 4.2.6-1.mga7
+ Revision: 1347608
- new version 4.2.6

* Thu Oct 04 2018 mokraemer <mokraemer> 4.1.0-2.mga7
+ Revision: 1317756
- correct massrebuild
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild

* Sun Nov 26 2017 mokraemer <mokraemer> 4.1.0-1.mga7
+ Revision: 1179743
- updated version for php 7.1

* Mon Feb 08 2016 umeabot <umeabot> 3.5.0-0.b1.10.mga6
+ Revision: 949987
- Mageia 6 Mass Rebuild

* Mon Oct 20 2014 tv <tv> 3.5.0-0.b1.9.mga5
+ Revision: 792114
- add excludes

* Wed Oct 15 2014 umeabot <umeabot> 3.5.0-0.b1.8.mga5
+ Revision: 739883
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 3.5.0-0.b1.7.mga5
+ Revision: 734021
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 3.5.0-0.b1.6.mga5
+ Revision: 687150
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 3.5.0-0.b1.5.mga4
+ Revision: 546084
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 neoclust <neoclust> 3.5.0-0.b1.4.mga4
+ Revision: 502132
- Add provided, needed by owncloud

* Sun Jan 13 2013 umeabot <umeabot> 3.5.0-0.b1.3.mga3
+ Revision: 375812
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 22 2011 spuhler <spuhler> 3.5.0-0.b1.2.mga2
+ Revision: 185601
- rebuild against php-5.3.9

* Sun Feb 06 2011 spuhler <spuhler> 3.5.0-0.b1.1.mga1
+ Revision: 48024
- removed buildroot definition from .spec
- imported package php-jpgraph


* Mon Oct 25 2010 Jani Välimaa <wally@mandriva.org> 3.5.0-0.b1.1mdv2011.0
+ Revision: 589371
- new version 3.5.0b1

* Tue Jul 13 2010 Jani Välimaa <wally@mandriva.org> 3.0.7-1mdv2011.0
+ Revision: 552136
- new version 3.0.7
- fix URLs
- fix some typos in description and summary

* Sat Dec 26 2009 Oden Eriksson <oeriksson@mandriva.com> 3.0.6-1mdv2010.1
+ Revision: 482455
- 3.0.6
- P0: security fix for CVE-2009-4422

* Thu Oct 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.3.3-4mdv2010.0
+ Revision: 452370
- fix dependencies
- don't suplicate spec-helper job
- spec cleanup
- install documentation under %%{_docdir}/%%{name}
- install php files under %%{_datadir}/php

* Sun Jul 19 2009 Raphaël Gertz <rapsys@mandriva.org> 2.3.3-3mdv2010.0
+ Revision: 397545
- Rebuild

* Wed Dec 31 2008 Oden Eriksson <oeriksson@mandriva.com> 2.3.3-2mdv2009.1
+ Revision: 321861
- rebuild

* Sun Jul 20 2008 Oden Eriksson <oeriksson@mandriva.com> 2.3.3-1mdv2009.0
+ Revision: 239139
- 2.3.3

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Thu Mar 08 2007 Emmanuel Andry <eandry@mandriva.org> 2.1.4-1mdv2007.1
+ Revision: 138537
- Import php-jpgraph

